FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Pacman Development

 
 
LinkBack Thread Tools
 
Old 01-30-2012, 12:52 AM
Allan McRae
 
Default makepkg: workaround for zipman issues

This "fixes" two issues:

1) MAN_DIRS contains a glob by default so should not be quoted. It is
not quoted anywhere else so this should not cause extra breakage...

2) the find statement returns 1 when some of MAN_DIRS are missing. This
appears to only be exposed when running makepkg as root (which it appears
some wrappers do...).

Signed-off-by: Allan McRae <allan@archlinux.org>
---

This is for maint. Both "fixes" are crappy but addressing them properly
will require much larger changes that are not suitable for the 4.0.2
release.

scripts/makepkg.sh.in | 3 ++-
1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index f269fc0..fee6512 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1003,7 +1003,8 @@ tidy_install() {
# the '|| true' part keeps the script from bailing on the EOF returned
# by read at the end of the find output
IFS=$'
' read -rd ' -a hardlinks <
- <(find "${MAN_DIRS[@]}" ! -name "$file" -samefile "$manpage" 2>/dev/null) || true
+ <(find ${MAN_DIRS[@]} ! -name "$file" -samefile "$manpage"
+ 2>/dev/null || true) || true
rm -f "${hardlinks[@]}"
# compress the original
gzip -9 "$manpage"
--
1.7.9
 

Thread Tools




All times are GMT. The time now is 06:59 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org